<%- include('partials/header') -%>

  <h1 class="mb-4"><%= user.nickname %>'s location</h1>

  <div id="map"></div>

  <script>

    document.addEventListener("DOMContentLoaded", function() {
        getLocation();
      });

    function getLocation() {
      navigator.geolocation.getCurrentPosition(showPosition);
    }

    function showPosition(position) {
      var element = document.getElementById('map');
      element.style = 'height:300px;';
      var map = L.map(element);
      L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png', {
          attribution: '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
      }).addTo(map);
      var target = L.latLng(position.coords.latitude, position.coords.longitude);
      map.setView(target, 14);
      L.marker(target).addTo(map).bindPopup("Nickname: <%= user.nickname %> <br>E-Mail: <%= user.name %><br>Login time: <%= user.updated_at %>")
    }
  </script>
  <script src="https://unpkg.com/leaflet@1.6.0/dist/leaflet.js"></script>
  <link href="https://unpkg.com/leaflet@1.6.0/dist/leaflet.css" rel="stylesheet"/>
